> ## Documentation Index
> Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Pack



## OpenAPI

````yaml /openapi/em-memory-service-v2.yaml post /context-packs
openapi: 3.1.0
info:
  title: EM Memory API
  version: 0.1.0
servers: []
security: []
paths:
  /context-packs:
    post:
      tags:
        - context-pack
      summary: Create Pack
      operationId: create_pack_context_packs_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContextPackCreateData'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContextPack'
        '409':
          description: Context Pack with name '{context_pack_name}' already exists.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ContextPackCreateData:
      properties:
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
        pack_type:
          $ref: '#/components/schemas/ContextPackType'
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
        config:
          additionalProperties: true
          type: object
          title: Config
      type: object
      required:
        - name
        - pack_type
      title: ContextPackCreateData
    ContextPack:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        pack_type:
          $ref: '#/components/schemas/ContextPackType'
        version:
          type: integer
          title: Version
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        status:
          $ref: '#/components/schemas/ContextPackStatus'
        summary_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary Text
        key_topics:
          items:
            type: string
          type: array
          title: Key Topics
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
        config:
          additionalProperties: true
          type: object
          title: Config
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        archived_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Archived At
        reactivated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Reactivated At
        deprecated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deprecated At
        deleted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deleted At
      type: object
      required:
        - id
        - name
        - pack_type
        - version
        - status
        - key_topics
        - metadata
        - config
        - created_at
        - updated_at
      title: ContextPack
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ContextPackType:
      type: string
      enum:
        - user
        - team
        - project
        - domain
        - session
      title: ContextPackType
    ContextPackStatus:
      type: string
      enum:
        - active
        - archived
        - deprecated
        - deleted
      title: ContextPackStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````